跳转到主要内容
POST
/
v2
/
kyt
/
transfer
KYT - Register Transfer
curl --request POST \
  --url https://api.chainstream.io/v2/kyt/transfer \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "asset": "SOL",
  "transferReference": "39z5QAprVrzaFzfHu1JHPgBf9dSqYdNYhH31d3PEd4hWiWL1LML7qCct5MHGxaRAgjjj1nC3XUyLwtzGQmYqUk4y:7xfh4GGMbM3bjpWsTsmBTCfSyuvXFuqnC89fShAqk5Nj"
}
'
{
  "asset": "BTC",
  "externalId": "393905a7-bb96-394b-9e20-3645298c1079",
  "network": "BITCOIN",
  "transferReference": "9f318afbad2a183f97750bc51a75b582ad8f9e9cbfb50401148857ca27cde10c:17A16QmavnUfCW11DAApiJxp7ARnxN5pGX",
  "assetAmount": "11.35113454",
  "assetId": null,
  "idx": 2,
  "memo": null,
  "outputAddress": "17A16QmavnUfCW11DAApiJxp7ARnxN5pGX",
  "timestamp": "2021-11-16T18:33:33.000Z",
  "tx": "9f318afbad2a183f97750bc51a75b582ad8f9e9cbfb50401148857ca27cde10c",
  "updatedAt": "2022-03-16T16:17:19.613Z",
  "usdAmount": "722099.75"
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
asset
string
必填

Asset type

示例:

"SOL"

direction
enum<string>
必填

Transfer direction

可用选项:
sent,
received
network
enum<string>
必填

Transfer network

可用选项:
Solana,
bitcoin,
ethereum
transferReference
string
必填

Transfer hash/transaction ID

示例:

"39z5QAprVrzaFzfHu1JHPgBf9dSqYdNYhH31d3PEd4hWiWL1LML7qCct5MHGxaRAgjjj1nC3XUyLwtzGQmYqUk4y:7xfh4GGMbM3bjpWsTsmBTCfSyuvXFuqnC89fShAqk5Nj"

响应

200 - application/json

Successful response

asset
string
必填

Asset type

示例:

"BTC"

externalId
string
必填

External ID (UUID)

示例:

"393905a7-bb96-394b-9e20-3645298c1079"

network
string
必填

Blockchain network

示例:

"BITCOIN"

transferReference
string
必填

Transfer reference (transaction hash and address)

示例:

"9f318afbad2a183f97750bc51a75b582ad8f9e9cbfb50401148857ca27cde10c:17A16QmavnUfCW11DAApiJxp7ARnxN5pGX"

assetAmount
string | null

Asset amount

示例:

"11.35113454"

assetId
string | null

Asset ID

示例:

null

idx
integer<int64> | null

Index

示例:

2

memo
string | null

Memo information

示例:

null

outputAddress
string | null

Output address

示例:

"17A16QmavnUfCW11DAApiJxp7ARnxN5pGX"

timestamp
string | null

Timestamp

示例:

"2021-11-16T18:33:33.000Z"

tx
string | null

Transaction hash

示例:

"9f318afbad2a183f97750bc51a75b582ad8f9e9cbfb50401148857ca27cde10c"

updatedAt
string | null

Updated timestamp

示例:

"2022-03-16T16:17:19.613Z"

usdAmount
string | null

USD amount

示例:

"722099.75"